Bug 9916 - waf build missing --with-fake-kaserver and --with-vfs-afsacl
waf build missing --with-fake-kaserver and --with-vfs-afsacl
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Build
4.0.6
All All
: P5 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks: 10077
  Show dependency treegraph
 
Reported: 2013-05-29 19:52 UTC by John Janosik
Modified: 2014-08-31 20:22 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2013-05-29 19:52:11 UTC
AFS options when running configure in source3:


./configure --help |grep AFS
  --with-afs              Include AFS clear-text auth support (default=no)
  --with-fake-kaserver    Include AFS fake-kaserver support (default=no)
  --with-vfs-afsacl       Include AFS to NT ACL mapping module (default=no)

When used in the top level:


./configure --with-fake-kaserver
./buildtools/wafsamba/samba_utils.py:397: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
waf [command] [options]

Main commands (example: ./waf build -j4)
  build       : build all targets
  clean       : removes the build files
  configure   : configures the project
  ctags       : build 'tags' file using ctags
  dist        : makes a tarball for distribution
  distcheck   : test that distribution tarball builds and installs
  distclean   : removes the build directory
  etags       : build TAGS file using etags
  install     : installs the build files
  pep8        : run pep8 validator
  pydoctor    : build python apidocs
  reconfigure : reconfigure if config scripts have changed
  test        : Run the test suite (see test options below)
  testonly    : run tests without doing a build first
  uninstall   : removes the installed files
  wafdocs     : build wafsamba apidocs
  wildcard_cmd: called on a unknown command

waf: error: no such option: --with-fake-kaserver

./buildtools/wafsamba/samba_utils.py:397: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
waf [command] [options]

Main commands (example: ./waf build -j4)
  build       : build all targets
  clean       : removes the build files
  configure   : configures the project
  ctags       : build 'tags' file using ctags
  dist        : makes a tarball for distribution
  distcheck   : test that distribution tarball builds and installs
  distclean   : removes the build directory
  etags       : build TAGS file using etags
  install     : installs the build files
  pep8        : run pep8 validator
  pydoctor    : build python apidocs
  reconfigure : reconfigure if config scripts have changed
  test        : Run the test suite (see test options below)
  testonly    : run tests without doing a build first
  uninstall   : removes the installed files
  wafdocs     : build wafsamba apidocs
  wildcard_cmd: called on a unknown command

waf: error: no such option: --with-vfs-afsacl
Comment 1 Christian Ambach 2013-06-13 16:08:45 UTC
Last time I worked on building with AFS, I also found that those options are missing in the waf build, but didn't find the time to add them.
At least --with-vfsacl is kind of redundant, as you can use --with-shared-modules=vfs_afsacl, so the only matter is adding the --with-fake-kaserver option
Comment 2 Christian Ambach 2013-07-08 22:01:27 UTC
I've got a patchset that is still in a rough state.
While working on it, I recognized that OpenAFS 1.6 headers are broken and need fixing.

Will post polished patch here in the next days
Comment 3 John Janosik 2013-10-18 19:19:54 UTC
Any update?  If not can I have the rough patch mentioned in the last update to use as a starting point so I can try building 4.1.0?
Comment 4 Christian Ambach 2014-01-22 19:32:50 UTC
Still working on it.. now as 9911 got fixed, I'll continue with this one.
Comment 5 Christian Ambach 2014-04-27 20:03:52 UTC
Sent patchset for master to samba-technical a few minutes ago. Let's see if it gets accepted. Once it is in master, it can be backported for at least 4.1.
Comment 6 Christian Ambach 2014-08-31 20:22:15 UTC
Fixed in master (and hence in 4.2 as well)